Skip to main content
POST
/
auth
/
password
/
sign-up
Sign up with email and password
curl --request POST \
  --url https://api.stack-auth.com/api/v1/auth/password/sign-up \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "johndoe@example.com",
  "verification_callback_url": "https://example.com/handler/email-verification"
}
'
{
  "access_token": "<string>",
  "refresh_token": "<string>",
  "user_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://stackauth-e0affa27-chore-move-mcp-to-a-sep-app.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Body

application/json
email
string
required

The email to sign in with.

Example:

"johndoe@example.com"

password
string
required
verification_callback_url
string

The base callback URL to construct a verification link for the verification e-mail. A query parameter code with the verification code will be appended to it. The page should then make a request to the /contact-channels/verify endpoint.

Example:

"https://example.com/handler/email-verification"

bot_challenge_token
string
bot_challenge_phase
string
bot_challenge_unavailable
string

Response

200 - application/json

Successful response

access_token
string
required
refresh_token
string
required
user_id
string
required